gtk-sharp 0.0.0.0 Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. Creates popup windows.

Dialog boxes are a convenient way to prompt the user for a small amount of input, eg. to display a message, ask a question, or anything else that does not require extensive effort on the user's part.

GTK+ treats a dialog as a window split vertically. The top section is a , and is where widgets such as a or an should be packed. The bottom area is known as the . This is generally used for packing buttons into the dialog which may perform functions such as cancel, ok, or apply. The two areas are separated by a .

The two primary areas of a dialog can be accessed as the property and the property. To set the dialog to be model, use the property.

If you want to block waiting for a dialog to return before returning control flow to your code, you can call . This function enters a recursive main loop and waits for the user to respond to the dialog, returning the response ID corresponding to the button the user clicked.

For the simple dialog, in reality you'd probably use a to save yourself some effort. But you'd need to create the dialog contents manually if you had more than a simple message in the dialog.

Gtk.Window Atk.Implementor GLib.IWrapper GLib.IWrapper System.IDisposable
- Method
  System.UInt32 To be added To be added: an object of type 'uint' To be added
- Method
  System.Void `` `` To be added To be added: an object of type 'Gtk.Widget' To be added: an object of type 'int' To be added
- Method
  System.Int32 To be added To be added: an object of type 'int' To be added
- Method
  System.Void `` To be added To be added: an object of type 'int' To be added
- Method
  Gtk.Widget `` `` To be added To be added: an object of type 'string' To be added: an object of type 'int' To be added: an object of type 'Gtk.Widget' To be added
- Method
  System.Void `` `` To be added To be added: an object of type 'int' To be added: an object of type 'bool' To be added
- Method
  System.Void Disposes the resources associated with the object.
- Constructor
  Internal constructor
  GLib type for the type
  Creates a new instance of Dialog, using the GLib-provided type

  This is a constructor used by derivative types of that would have their own GLib type assigned to it. This is not typically used by C# code.

- Constructor
  Internal constructor
  Pointer to the C object.
  An instance of Dialog, wrapping the C object.

  This is an internal constructor, and should not be used by user code.

- Constructor
  To be added
  To be added: an object of type 'Gtk.Dialog'
  To be added
- Constructor
  To be added
  To be added: an object of type 'string'
  To be added: an object of type 'Gtk.Window'
  To be added: an object of type 'Gtk.DialogFlags'
  To be added: an object of type 'Gtk.Dialog'
  To be added
- Property
  System.UInt32 The GLib Type for Gtk.Dialog The GLib TYpe for the Gtk.Dialog class.
- Property
  Gtk.VBox To be added To be added: an object of type 'Gtk.VBox' To be added
- Property
  Gtk.VBox To be added To be added: an object of type 'Gtk.VBox' To be added
- Property
  System.Int32 `` To be added To be added: an object of type 'int' To be added: an object of type 'int' To be added
- Property
  System.Boolean `` To be added To be added: an object of type 'bool' To be added: an object of type 'bool' To be added
- Event
  To be added
  To be added
- Event
  To be added
  To be added